from datetime import datetime
from sqlalchemy import Column
from sqlalchemy import DateTime
from sqlalchemy import Float
from sqlalchemy import Integer
from sqlalchemy import String
from model.base import Base


class Sma(Base):
    __tablename__ = 'sma'


    id = Column(Integer, primary_key=True, autoincrement=True)
    date = Column(DateTime)
    symbol = Column(String(15), nullable=False)
    sma_5 = Column(Float)
    sma_10 = Column(Float)
    sma_20 = Column(Float)
    sma_50 = Column(Float)
    sma_100 = Column(Float)
    sma_200 = Column(Float)